Redmine - Feature #34992

Ruby 3.0 support
2021-03-31 08:40 - Go MAEDA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Ruby support Estimated time: 0.00 hour
Target version: 5.0.0

Resolution: Fixed

Description

Ruby 3.0.0 has been released on 25 Dec 2020.
https://www.ruby-lang.org/en/news/2020/12/25/ruby-3-0-0-released/

Related issues:

Related to Redmine - Defect #34986: Ruby 3.0 fix super calls Closed
Related to Redmine - Defect #37249: Missing rexml gem causes errors in PUT - ... Closed
Blocked by Redmine - Feature #29914: Migrate to Rails 6.1 with Zeitwerk autol... Closed

Associated revisions

Revision 20912 - 2021-04-03 11:01 - Go MAEDA
Ruby 3.0: Fix “super calls (#34992, #34986).

Patch by Pavel Rosicky.

Revision 20913 - 2021-04-03 11:11 - Go MAEDA
Ruby 3.0: Update supported Ruby versions (#34992).

History

#1 - 2021-03-31 08:41 - Go MAEDA
- Blocked by Feature #29914: Migrate to Rails 6.1 with Zeitwerk autoloading added

#2 - 2021-03-31 09:21 - Go MAEDA
- Related to Defect #34986: Ruby 3.0 fix super calls added

#3 - 2021-04-03 07:57 - Marius BALTEANU

- Target version set to 5.0.0

#4 - 2021-04-03 08:44 - Marius BALTEANU

- File 0003-Remove-some-trailing-whitespaces.patch added
- File 0002-Ruby-3.0-fix-super-calls.patch added

- File 0001-Update-Ruby-dependencies.patch added

All tests pass on Ruby 3.0 if we apply first 2 patches (the second one is the one posted by Pavel in #34986).

The third patch remove some trailing whitespaces.

#5 - 2021-04-03 11:12 - Go MAEDA
- Status changed from New to Resolved
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patches. Thank you.

#6 - 2021-11-18 00:38 - Marius BALTEANU
https://www.ruby-lang.org/en/news/2020/12/25/ruby-3-0-0-released/
https://www.redmine.org/issues/34986

- Status changed from Resolved to Closed

#7 - 2021-11-23 07:53 - Go MAEDA
- Related to Defect #36226: Psych 4: Psych::DisallowedClass exception when unserializing a setting value added

#8 - 2021-11-23 07:53 - Go MAEDA
- Related to deleted (Defect #36226: Psych 4: Psych::DisallowedClass exception when unserializing a setting value)

#9 - 2022-06-15 11:29 - Go MAEDA
- Related to Defect #37249: Missing rexml gem causes errors in PUT - Adding the gem manually everything works added

Files

0003-Remove-some-trailing-whitespaces.patch 3.53 KB 2021-04-03 Marius BALTEANU
0002-Ruby-3.0-fix-super-calls.patch 1.06 KB 2021-04-03 Marius BALTEANU
0001-Update-Ruby-dependencies.patch 822 Bytes 2021-04-03 Marius BALTEANU
